ApiMrUsageReportRow (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.model

## Class ApiMrUsageReportRow

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiMrUsageReportRow

-     @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2022-11-17T16:22:50.425Z")
      public class ApiMrUsageReportRow
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiMrUsageReportRow()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiMrUsageReportRow` | `cpuSec(BigDecimal cpuSec)`
    `ApiMrUsageReportRow` | `dataLocalMaps(BigDecimal dataLocalMaps)`
    `ApiMrUsageReportRow` | `durationSec(BigDecimal durationSec)`
    `boolean` | `equals(Object o)`
    `ApiMrUsageReportRow` | `failedMaps(BigDecimal failedMaps)`
    `ApiMrUsageReportRow` | `failedReduces(BigDecimal failedReduces)`
    `BigDecimal` | `getCpuSec()` Amount of CPU time (in seconds) taken up this user's MapReduce jobs.
    `BigDecimal` | `getDataLocalMaps()` Data local maps of this user's MapReduce jobs.
    `BigDecimal` | `getDurationSec()` Total duration of this user's MapReduce jobs.
    `BigDecimal` | `getFailedMaps()` Failed maps of this user's MapReduce jobs.
    `BigDecimal` | `getFailedReduces()` Failed reduces of this user's MapReduce jobs.
    `String` | `getGroup()` The group this user belongs to.
    `BigDecimal` | `getHdfsBytesRead()` HDFS bytes read of this user's MapReduce jobs.
    `BigDecimal` | `getHdfsBytesWritten()` HDFS bytes written of this user's MapReduce jobs.
    `BigDecimal` | `getJobCount()` Number of jobs.
    `BigDecimal` | `getLocalBytesRead()` Local bytes read of this user's MapReduce jobs.
    `BigDecimal` | `getLocalBytesWritten()` Local bytes written of this user's MapReduce jobs.
    `BigDecimal` | `getMapInputBytes()` Map input bytes of this user's MapReduce jobs.
    `BigDecimal` | `getMapOutputBytes()` Map output bytes of this user's MapReduce jobs.
    `BigDecimal` | `getMemoryBytes()` The sum of physical memory used (collected as a snapshot) by this user's MapReduce jobs.
    `BigDecimal` | `getRackLocalMaps()` Rack local maps of this user's MapReduce jobs.
    `BigDecimal` | `getTaskCount()` Number of tasks.
    `String` | `getTimePeriod()` The time period over which this report is generated.
    `BigDecimal` | `getTotalMaps()` Total maps of this user's MapReduce jobs.
    `BigDecimal` | `getTotalReduces()` Total reduces of this user's MapReduce jobs.
    `String` | `getUser()` The user being reported.
    `ApiMrUsageReportRow` | `group(String group)`
    `int` | `hashCode()`
    `ApiMrUsageReportRow` | `hdfsBytesRead(BigDecimal hdfsBytesRead)`
    `ApiMrUsageReportRow` | `hdfsBytesWritten(BigDecimal hdfsBytesWritten)`
    `ApiMrUsageReportRow` | `jobCount(BigDecimal jobCount)`
    `ApiMrUsageReportRow` | `localBytesRead(BigDecimal localBytesRead)`
    `ApiMrUsageReportRow` | `localBytesWritten(BigDecimal localBytesWritten)`
    `ApiMrUsageReportRow` | `mapInputBytes(BigDecimal mapInputBytes)`
    `ApiMrUsageReportRow` | `mapOutputBytes(BigDecimal mapOutputBytes)`
    `ApiMrUsageReportRow` | `memoryBytes(BigDecimal memoryBytes)`
    `ApiMrUsageReportRow` | `rackLocalMaps(BigDecimal rackLocalMaps)`
    `void` | `setCpuSec(BigDecimal cpuSec)`
    `void` | `setDataLocalMaps(BigDecimal dataLocalMaps)`
    `void` | `setDurationSec(BigDecimal durationSec)`
    `void` | `setFailedMaps(BigDecimal failedMaps)`
    `void` | `setFailedReduces(BigDecimal failedReduces)`
    `void` | `setGroup(String group)`
    `void` | `setHdfsBytesRead(BigDecimal hdfsBytesRead)`
    `void` | `setHdfsBytesWritten(BigDecimal hdfsBytesWritten)`
    `void` | `setJobCount(BigDecimal jobCount)`
    `void` | `setLocalBytesRead(BigDecimal localBytesRead)`
    `void` | `setLocalBytesWritten(BigDecimal localBytesWritten)`
    `void` | `setMapInputBytes(BigDecimal mapInputBytes)`
    `void` | `setMapOutputBytes(BigDecimal mapOutputBytes)`
    `void` | `setMemoryBytes(BigDecimal memoryBytes)`
    `void` | `setRackLocalMaps(BigDecimal rackLocalMaps)`
    `void` | `setTaskCount(BigDecimal taskCount)`
    `void` | `setTimePeriod(String timePeriod)`
    `void` | `setTotalMaps(BigDecimal totalMaps)`
    `void` | `setTotalReduces(BigDecimal totalReduces)`
    `void` | `setUser(String user)`
    `ApiMrUsageReportRow` | `taskCount(BigDecimal taskCount)`
    `ApiMrUsageReportRow` | `timePeriod(String timePeriod)`
    `String` | `toString()`
    `ApiMrUsageReportRow` | `totalMaps(BigDecimal totalMaps)`
    `ApiMrUsageReportRow` | `totalReduces(BigDecimal totalReduces)`
    `ApiMrUsageReportRow` | `user(String user)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiMrUsageReportRow

          public ApiMrUsageReportRow()

  - ### Method Detail

    - #### timePeriod

          public ApiMrUsageReportRow timePeriod(String timePeriod)

    - #### getTimePeriod

          public String getTimePeriod()

      The time period over which this report is generated.
      Returns:
        timePeriod

    - #### setTimePeriod

          public void setTimePeriod(String timePeriod)

    - #### user

          public ApiMrUsageReportRow user(String user)

    - #### getUser

          public String getUser()

      The user being reported.
      Returns:
        user

    - #### setUser

          public void setUser(String user)

    - #### group

          public ApiMrUsageReportRow group(String group)

    - #### getGroup

          public String getGroup()

      The group this user belongs to.
      Returns:
        group

    - #### setGroup

          public void setGroup(String group)

    - #### cpuSec

          public ApiMrUsageReportRow cpuSec(BigDecimal cpuSec)

    - #### getCpuSec

          public BigDecimal getCpuSec()

      Amount of CPU time (in seconds) taken up this user's MapReduce jobs.
      Returns:
        cpuSec

    - #### setCpuSec

          public void setCpuSec(BigDecimal cpuSec)

    - #### memoryBytes

          public ApiMrUsageReportRow memoryBytes(BigDecimal memoryBytes)

    - #### getMemoryBytes

          public BigDecimal getMemoryBytes()

      The sum of physical memory used (collected as a snapshot) by this user's MapReduce jobs.
      Returns:
        memoryBytes

    - #### setMemoryBytes

          public void setMemoryBytes(BigDecimal memoryBytes)

    - #### jobCount

          public ApiMrUsageReportRow jobCount(BigDecimal jobCount)

    - #### getJobCount

          public BigDecimal getJobCount()

      Number of jobs.
      Returns:
        jobCount

    - #### setJobCount

          public void setJobCount(BigDecimal jobCount)

    - #### taskCount

          public ApiMrUsageReportRow taskCount(BigDecimal taskCount)

    - #### getTaskCount

          public BigDecimal getTaskCount()

      Number of tasks.
      Returns:
        taskCount

    - #### setTaskCount

          public void setTaskCount(BigDecimal taskCount)

    - #### durationSec

          public ApiMrUsageReportRow durationSec(BigDecimal durationSec)

    - #### getDurationSec

          public BigDecimal getDurationSec()

      Total duration of this user's MapReduce jobs.
      Returns:
        durationSec

    - #### setDurationSec

          public void setDurationSec(BigDecimal durationSec)

    - #### failedMaps

          public ApiMrUsageReportRow failedMaps(BigDecimal failedMaps)

    - #### getFailedMaps

          public BigDecimal getFailedMaps()

      Failed maps of this user's MapReduce jobs. Available since v11.
      Returns:
        failedMaps

    - #### setFailedMaps

          public void setFailedMaps(BigDecimal failedMaps)

    - #### totalMaps

          public ApiMrUsageReportRow totalMaps(BigDecimal totalMaps)

    - #### getTotalMaps

          public BigDecimal getTotalMaps()

      Total maps of this user's MapReduce jobs. Available since v11.
      Returns:
        totalMaps

    - #### setTotalMaps

          public void setTotalMaps(BigDecimal totalMaps)

    - #### failedReduces

          public ApiMrUsageReportRow failedReduces(BigDecimal failedReduces)

    - #### getFailedReduces

          public BigDecimal getFailedReduces()

      Failed reduces of this user's MapReduce jobs. Available since v11.
      Returns:
        failedReduces

    - #### setFailedReduces

          public void setFailedReduces(BigDecimal failedReduces)

    - #### totalReduces

          public ApiMrUsageReportRow totalReduces(BigDecimal totalReduces)

    - #### getTotalReduces

          public BigDecimal getTotalReduces()

      Total reduces of this user's MapReduce jobs. Available since v11.
      Returns:
        totalReduces

    - #### setTotalReduces

          public void setTotalReduces(BigDecimal totalReduces)

    - #### mapInputBytes

          public ApiMrUsageReportRow mapInputBytes(BigDecimal mapInputBytes)

    - #### getMapInputBytes

          public BigDecimal getMapInputBytes()

      Map input bytes of this user's MapReduce jobs. Available since v11.
      Returns:
        mapInputBytes

    - #### setMapInputBytes

          public void setMapInputBytes(BigDecimal mapInputBytes)

    - #### mapOutputBytes

          public ApiMrUsageReportRow mapOutputBytes(BigDecimal mapOutputBytes)

    - #### getMapOutputBytes

          public BigDecimal getMapOutputBytes()

      Map output bytes of this user's MapReduce jobs. Available since v11.
      Returns:
        mapOutputBytes

    - #### setMapOutputBytes

          public void setMapOutputBytes(BigDecimal mapOutputBytes)

    - #### hdfsBytesRead

          public ApiMrUsageReportRow hdfsBytesRead(BigDecimal hdfsBytesRead)

    - #### getHdfsBytesRead

          public BigDecimal getHdfsBytesRead()

      HDFS bytes read of this user's MapReduce jobs. Available since v11.
      Returns:
        hdfsBytesRead

    - #### setHdfsBytesRead

          public void setHdfsBytesRead(BigDecimal hdfsBytesRead)

    - #### hdfsBytesWritten

          public ApiMrUsageReportRow hdfsBytesWritten(BigDecimal hdfsBytesWritten)

    - #### getHdfsBytesWritten

          public BigDecimal getHdfsBytesWritten()

      HDFS bytes written of this user's MapReduce jobs. Available since v11.
      Returns:
        hdfsBytesWritten

    - #### setHdfsBytesWritten

          public void setHdfsBytesWritten(BigDecimal hdfsBytesWritten)

    - #### localBytesRead

          public ApiMrUsageReportRow localBytesRead(BigDecimal localBytesRead)

    - #### getLocalBytesRead

          public BigDecimal getLocalBytesRead()

      Local bytes read of this user's MapReduce jobs. Available since v11.
      Returns:
        localBytesRead

    - #### setLocalBytesRead

          public void setLocalBytesRead(BigDecimal localBytesRead)

    - #### localBytesWritten

          public ApiMrUsageReportRow localBytesWritten(BigDecimal localBytesWritten)

    - #### getLocalBytesWritten

          public BigDecimal getLocalBytesWritten()

      Local bytes written of this user's MapReduce jobs. Available since v11.
      Returns:
        localBytesWritten

    - #### setLocalBytesWritten

          public void setLocalBytesWritten(BigDecimal localBytesWritten)

    - #### dataLocalMaps

          public ApiMrUsageReportRow dataLocalMaps(BigDecimal dataLocalMaps)

    - #### getDataLocalMaps

          public BigDecimal getDataLocalMaps()

      Data local maps of this user's MapReduce jobs. Available since v11.
      Returns:
        dataLocalMaps

    - #### setDataLocalMaps

          public void setDataLocalMaps(BigDecimal dataLocalMaps)

    - #### rackLocalMaps

          public ApiMrUsageReportRow rackLocalMaps(BigDecimal rackLocalMaps)

    - #### getRackLocalMaps

          public BigDecimal getRackLocalMaps()

      Rack local maps of this user's MapReduce jobs. Available since v11.
      Returns:
        rackLocalMaps

    - #### setRackLocalMaps

          public void setRackLocalMaps(BigDecimal rackLocalMaps)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2022. All rights reserved.